Get the most out of your Centmin Mod LEMP stack
Become a Member

PHP PHP 8.0.1 Released!

Discussion in 'Nginx and PHP-FPM news & discussions' started by eva2000, Jan 8, 2021.

  1. eva2000

    eva2000 Administrator Staff Member

    46,657
    10,590
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,435
    Local Time:
    9:21 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Continue reading...

     
  2. Andy

    Andy Premium Member Premium Member

    496
    78
    28
    Aug 6, 2014
    Ratings:
    +113
    Local Time:
    7:21 AM
    Is it recommended to upgrade to PHP 8 yet for people running xenforo and Wordpress on centminmod server?
    Thanks
     
  3. DaB

    DaB Member

    41
    5
    8
    Aug 10, 2016
    Ratings:
    +6
    Local Time:
    12:21 PM
    Current
    Current
  4. eva2000

    eva2000 Administrator Staff Member

    46,657
    10,590
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,435
    Local Time:
    9:21 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Yeah I'd wait for now for php 8.x for addon and plugin folks to catch up
     
  5. Andy

    Andy Premium Member Premium Member

    496
    78
    28
    Aug 6, 2014
    Ratings:
    +113
    Local Time:
    7:21 AM
    Just want to see the current recommendation for running PHP 8.x on XF and WP?
    The latest XF release today 2.2.5 recommends PHP 8.0
     
  6. eva2000

    eva2000 Administrator Staff Member

    46,657
    10,590
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,435
    Local Time:
    9:21 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    really depends on your addon and plugin's respective compatibility :)
     
  7. Andy

    Andy Premium Member Premium Member

    496
    78
    28
    Aug 6, 2014
    Ratings:
    +113
    Local Time:
    7:21 AM
    No harm in upgrading to 8.x and if things don't work, we can always revert back to 7.4.x, correct?
     
  8. eva2000

    eva2000 Administrator Staff Member

    46,657
    10,590
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,435
    Local Time:
    9:21 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Usually the case. Though to be sure, you should have a staging server with a copy of your live forum/sites and do test upgrades on staging server to test before doing on live forum/sites if you want to be extra cautious.
     
  9. Andy

    Andy Premium Member Premium Member

    496
    78
    28
    Aug 6, 2014
    Ratings:
    +113
    Local Time:
    7:21 AM
    As far as CMM is concerned, what is the latest PHP 8.0.x supported?
    Can we install 8.0.5?
     
  10. eva2000

    eva2000 Administrator Staff Member

    46,657
    10,590
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,435
    Local Time:
    9:21 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Centmin Mod 123.09beta01 and higher support whatever is the latest PHP 8.0.* version available which is 8.0.6 right now